<!--- Start the ColdFusion Component --->
<cfcomponent>

  <!--- :::Function: Retrieve List of Park TYPES (for DropDown)--->
  <cffunction name="getParkTypes" access="remote" returnType="query">
      <CFQUERY NAME="q_allParkTypes" Datasource="exampleApps">
        SELECT Distinct(ParkType) FROM tblParks 
				WHERE ParkType is not NULL
        Order by ParkType desc
      </CFQUERY>

      <cfreturn q_allParkTypes>
  </cffunction>

  <!--- :::Function: Retrieve List of Parks --->
  <cffunction name="getParksList" access="remote" returnType="query">
      <cfargument name="ParkType" type="string">
      <CFQUERY NAME="q_allParksList" Datasource="exampleApps">
        SELECT ParkName,City,State,ParkType FROM tblParks 
				Where ParkType='#TRIM(ParkType)#'
        Order by ParkName
      </CFQUERY>

      <cfreturn q_allParksList>
  </cffunction>

		
  <!--- :::Function: Retrieve Park Details --->
  <cffunction name="getParkDetails" access="remote" returnType="query">
      <cfargument name="thisParkName" type="string">

      <CFQUERY NAME="q_parkDetails" Datasource="exampleApps">
        SELECT * FROM tblParks 
        WHERE ParkName='#thisParkName#'
      </CFQUERY>

	
    <cfreturn q_parkDetails>
  </cffunction>

</cfcomponent>


		
		
		

	
